? notes-utf8.tree
? notes.tree
? Woody/Config.pyc
? Woody/Curses.pyc
? Woody/Defs.pyc
? Woody/Editor.pyc
? Woody/IFace.pyc
? Woody/Menu.pyc
? Woody/Quotes.pyc
? Woody/Tree.pyc
? Woody/XML.pyc
? Woody/__init__.pyc
Index: woody_slang.py
===================================================================
RCS file: /cvsroot/woody/woody/woody_slang.py,v
retrieving revision 1.13
diff -u -r1.13 woody_slang.py
--- woody_slang.py	12 Dec 2002 13:21:26 -0000	1.13
+++ woody_slang.py	4 Nov 2007 12:09:25 -0000
@@ -309,8 +309,10 @@
       # List of keys and what they should do...
       # - q: quit
       # - up/down: move cursor
+      # - j/k: move cursor (vi-style)
       # - pgup/pgdown: move cursor faster
       # - left/right: (de)indent branches
+      # - h/l: (de)indent branches (vi-style)
       # - enter: edit node text
       # - N: edit note
       # - e: edit node (pop up node info screen)
@@ -318,10 +320,11 @@
       # - space: collapse/expand branch
       # - d: delete node
       # - c: create node
+      # - o: create node (vi-style open new line)
       # - t: type (todo, progress, or normal)
       # - x: check todo, or pop up percentage done selector
       # - !: choose priority
-      # - o: tree options
+      # # - o: tree options # removed: (o is intuitive vi for new entry)
       # - h/?: help
       # - s: save
 
@@ -379,7 +382,7 @@
           self.set_status("Import aborted.")
         
       # f
-      elif key == ord('f'):
+      elif 0: #key == ord('f'):
         self.fileselector("Title",
                           "You want to do something with a file here...")
         
@@ -398,7 +401,7 @@
         self.set_status("Exported file %s.html.." % wood.filename)
 
       # z
-      elif key == ord('z'):
+      elif 0: #key == ord('z'):
         self.set_status("Starting shell...")
         self.run_shell()
         self.set_status("Shell done..")
@@ -432,7 +435,7 @@
           # TODO: implement notes in internal editor
           pass
       # c
-      elif key == ord('c'):
+      elif key == ord('c') or key == ord('o'):
         wood.modified = 1
         self.set_status("Creating node...")
         #n = node(text="Blubber %s" % state.foocount)
@@ -525,10 +528,10 @@
         # TODO: write a *real* help screen...
         self.message(state.helptext)
       # Up
-      elif key == 257:
+      elif key == 257 or key == 'k':
         state.cursor_pos = state.cursor_pos - 1
       # Down
-      elif key == 258:
+      elif key == 258 or key == 'j':
         state.cursor_pos = state.cursor_pos + 1
         self.check_bottom(state)
       # PgUp
@@ -543,12 +546,12 @@
           self.check_bottom(state)
           if state.cursor_pos >= len(wlist): state.cursor_pos = len(wlist)
       # Left
-      elif key == 259  and  not state.empty:
+      elif (key == 259 or key == ord('h'))  and  not state.empty:
         wood.modified = 1
         branch.move_left()
         wlist = wood.vis_list()
       # Right
-      elif key == 260  and  not state.empty:
+      elif (key == 260 or key == ord('l')) and  not state.empty:
         wood.modified = 1
         branch.move_right()
         wlist = wood.vis_list()
Index: Woody/Curses.py
===================================================================
RCS file: /cvsroot/woody/woody/Woody/Curses.py,v
retrieving revision 1.7
diff -u -r1.7 Curses.py
--- Woody/Curses.py	17 Feb 2003 13:48:31 -0000	1.7
+++ Woody/Curses.py	4 Nov 2007 12:09:26 -0000
@@ -442,7 +442,7 @@
           self.set_status("Import aborted.")
         
       # f
-      elif key == 'f':
+      elif 0: #key == 'f':
         self.fileselector("Title",
                           "You want to do something with a file here...")
         
@@ -463,7 +463,7 @@
                         wood.filename)
         
       # z
-      elif key == 'z':
+      elif 0: #key == 'z':
         self.set_status("Starting shell...")
         self.run_shell()
         self.set_status("Shell done..")
@@ -497,7 +497,7 @@
           # TODO: implement notes in internal editor
           pass
       # c
-      elif key == 'c':
+      elif key == 'c' or key == 'o':
         wood.modified = 1
         self.set_status("Creating node...")
         #n = node(text="Blubber %s" % state.foocount)
@@ -590,10 +590,10 @@
         # TODO: write a *real* help screen...
         self.message(state.helptext, fit=1)
       # Up
-      elif key == "KEY_UP":
+      elif key == "KEY_UP" or key == 'k':
         state.cursor_pos = state.cursor_pos - 1
       # Down
-      elif key == "KEY_DOWN":
+      elif key == "KEY_DOWN" or key == 'j':
         state.cursor_pos = state.cursor_pos + 1
         self.check_bottom(state)
       # PgUp
@@ -608,12 +608,12 @@
           self.check_bottom(state)
           if state.cursor_pos >= len(wlist): state.cursor_pos = len(wlist)
       # Left
-      elif key == "KEY_LEFT"  and  not state.empty:
+      elif (key == "KEY_LEFT" or key == 'h')  and  not state.empty:
         wood.modified = 1
         branch.move_left()
         wlist = wood.vis_list()
       # Right
-      elif key == "KEY_RIGHT"  and  not state.empty:
+      elif (key == "KEY_RIGHT" or key == 'l')  and  not state.empty:
         wood.modified = 1
         branch.move_right()
         wlist = wood.vis_list()
@@ -1278,7 +1278,7 @@
         result = None
 
       # up
-      elif key == 257:
+      elif key == 257 or key == 'k':
         cursor_pos = cursor_pos - 1
         if cursor_pos < 0:  cursor_pos = 0
         result, foo = filenamelist[cursor_pos]
@@ -1294,7 +1294,7 @@
         entrystatus = "complete"
         
       # down
-      elif key == 258:
+      elif key == 258 or key == 'j':
         cursor_pos = cursor_pos + 1
         if cursor_pos >= len(filenamelist):  cursor_pos = len(filenamelist) - 1
         result, foo = filenamelist[cursor_pos]
